curl -X GET 'https://api.telegent.com/v1.0/products?ProductId=PRID-d9e74d70-3ca8-40f3-a415' \
-H 'Authorization: Bearer YOUR_TOKEN'{
"ProductId": "PRID-4384E69B-3194-9943-F839-20E477C8E399",
"SKU": "VAS035",
"Description": "Fraud Detection + Blocking",
"AggregatorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "VAS",
"SubType": "AI Operator",
"Cost": 1,
"BillingFrequency": "MRC",
"Active": true
}Retrieve detailed information about a specific product by its ProductId. Returns SKU, description, type, cost, and billing frequency.
curl -X GET 'https://api.telegent.com/v1.0/products?ProductId=PRID-d9e74d70-3ca8-40f3-a415' \
-H 'Authorization: Bearer YOUR_TOKEN'{
"ProductId": "PRID-4384E69B-3194-9943-F839-20E477C8E399",
"SKU": "VAS035",
"Description": "Fraud Detection + Blocking",
"AggregatorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"DistributorId": null,
"Type": "VAS",
"SubType": "AI Operator",
"Cost": 1,
"BillingFrequency": "MRC",
"Active": true
}